[package]
name = "libshumate-sys"
version = "0.7.0"
authors = ["Corentin Noël <corentin.noel@collabora.com>"]
edition = "2021"
build = "build.rs"
links = "libshumate-1.0"
categories = ["api-bindings", "gui"]
keywords = ["gtk4-rs", "gnome", "Map", "GUI"]
description = "FFI bindings for libshumate"
license = "MIT"
homepage = "https://world.pages.gitlab.gnome.org/Rust/libshumate-rs/"
repository = "https://gitlab.gnome.org/World/Rust/libshumate-rs"
documentation = "https://world.pages.gitlab.gnome.org/Rust/libshumate-rs/stable/latest/docs/libshumate_sys"

[package.metadata.system-deps.shumate_1_0]
name = "shumate-1.0"
version = "0"

[package.metadata.system-deps.shumate_1_0.v1_1]
version = "1.1"

[package.metadata.system-deps.shumate_1_0.v1_2]
version = "1.2"

[package.metadata.docs.rs]
features = []
rustc-args = ["--cfg", "docsrs"]
rustdoc-args = ["--cfg", "docsrs", "--generate-link-to-definition"]

[lib]
name = "libshumate_sys"

[dependencies]
libc = "0.2"

[dependencies.gio-sys]
git = "https://github.com/gtk-rs/gtk-rs-core"
branch = "master"
version = "0.21"

[dependencies.glib-sys]
git = "https://github.com/gtk-rs/gtk-rs-core"
branch = "master"
version = "0.21"

[dependencies.gobject-sys]
git = "https://github.com/gtk-rs/gtk-rs-core"
branch = "master"
version = "0.21"

[dependencies.gtk-sys]
package = "gtk4-sys"
git = "https://github.com/gtk-rs/gtk4-rs"
branch = "master"
version = "0.10"

[dependencies.gdk-sys]
package = "gdk4-sys"
git = "https://github.com/gtk-rs/gtk4-rs"
branch = "master"
version = "0.10"

[dependencies.gdk-pixbuf-sys]
git = "https://github.com/gtk-rs/gtk-rs-core"
branch = "master"
version = "0.21"

[build-dependencies]
system-deps = "7"

[dev-dependencies]
shell-words = "1.0.0"
tempfile = "3"

[features]
v1_1 = []
v1_2 = ["v1_1"]
